Description: # allow decimal numbers for approx, e.g. approx=0.07
# specify the number of points awarded if the the last digit is +/- 1
Example: say the result is 1.23 \MAMCnumericChoices); if a student writes 1.22 or 1.24 (e.g. rounding error),
he or she will get the number of points specified in e.g. scorelastdigit
# specifiy the number of points awarded if one of the digits coded when using \AMCnumericChoices is wrong
One should be able to specify the number of digits that are wrong (default 1) and the points awarded for that,
e.g wrongdigit{1}{1.5} or wrongdigit{1.5} meaning that 1.5 points are awarded if one digit is wrong and
wrongdigit{2}{0.5}: 0.5 points if two digits are wrong.
# relative error: e.g. relerror=10 and scorerelerror=0.5: if the result \AMCnumericChoices) is within a range of
+/- 10% of the correct result, the candidate receives 0.5 points.
If formulae are allowed for approx (see also 1. above), then this would be easy to implement: approx = 0.1 *
\VQa, if \VQa is the correct result.

History

02/06/2014 06:27 pm - math user

5.

The wrong sign (e.g. +1.23 instead of -1.23) yields the number of points specified in e.g. scorewrongsign.

Thanks!

03/02/2014 03:59 pm - math user
A possibility to check, if all the scores are implemented correcty, would be great.

Example:

say the result is 1.23 \AMCnumericChoices)

scoreexact=3

scorewrongsign=1 or even scorewrongsign=scoreexact/3 (new feature in global settings: \AMCnumericOpts)

It would be nice, if the solutions could be annotated (similar to annotated papers):

1.23: 3 points
-1.28: 1 point

Thanks!

10/20/2014 05:56 pm - Alexis Bienvenlie
- Target version deleted (1.3.0)

- Assignee deleted (Alexis Bienveniie)

11/28/2014 10:57 pm - math user
> 1. allow decimal numbers for approx, e.g. approx=0.07

It would be great if this feature could be implemented soon. | really miss this possibility!

If the correct result is 1.72, then | would like approx=0.17.

11/29/2014 10:19 am - Alexis Bienveniie
1. Note that the @approx@ value corresponds to the integer number that is coded _without the decimal point_. If the correct value is 1.72 and

@decimals=2@, @approx=17@ should do what you need.

2. Perhaps @approx=1,scoreapprox=xxx@ is what you need.
11/30/2014 08:58 pm - math user

Great! | did not get it, that one has to omit the decimal point ...

Thanks for the hint, Alexis!
So, 1. and 2. are solved.

There is no workaround for 4.? Formulae do not seem to be acceptable for @approx@, correct?

11/30/2014 09:12 pm - Alexis Bienvenlie

> Formulae do not seem to be acceptable for approx, correct?

That's correct, but you can calculate with LaTeX (using @fp@ package or similar), and then insert the result with something like

@approx=\computedapprox@

12/03/2014 08:35 pm - math user

Thanks for this hint as well, Alexis!

So number 4 is solved as well. :-)

01/28/2021 08:47 pm - Alexis Bienveniie
- Status changed from New to Closed

- % Done changed from 0 to 100
